> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /banki/banks

> Get a Banki.ru bank profile by alias or numeric bank id

**Price:** 20 credits

**⚠️ Common errors:** 412: Bank not found



## OpenAPI

````yaml /openapi/finance-markets.json post /api/banki/banks
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/banki/banks:
    post:
      tags:
        - /banki
      summary: /banki/banks
      description: |-
        Get a Banki.ru bank profile by alias or numeric bank id

        **Price:** 20 credits

        **⚠️ Common errors:** 412: Bank not found
      operationId: __api_banki_banks_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BankiBanksPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BankiBank'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BankiBanksPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        bank:
          type: string
          minLength: 1
      type: object
      required:
        - bank
    BankiBank:
      properties:
        '@type':
          type: string
          default: BankiBank
        id:
          type: integer
        alias:
          type: string
        name:
          type: string
        name_full:
          anyOf:
            - type: string
            - type: 'null'
        name_eng:
          anyOf:
            - type: string
            - type: 'null'
        name_full_eng:
          anyOf:
            - type: string
            - type: 'null'
        name_alternative:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        mobile_logo:
          anyOf:
            - type: string
            - type: 'null'
        head_office_image:
          anyOf:
            - type: string
            - type: 'null'
        website_url:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        address_eng:
          anyOf:
            - type: string
            - type: 'null'
        licence:
          anyOf:
            - type: string
            - type: 'null'
        ogrn:
          anyOf:
            - type: string
            - type: 'null'
        bik:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        registration_date:
          anyOf:
            - type: string
            - type: 'null'
        description_eng:
          anyOf:
            - type: string
            - type: 'null'
        personal_director:
          anyOf:
            - type: string
            - type: 'null'
        cbr_url:
          anyOf:
            - type: string
            - type: 'null'
        is_state_bank:
          type: boolean
          default: false
        is_foreign_bank:
          type: boolean
          default: false
        is_nco:
          type: boolean
          default: false
        is_top_bank:
          type: boolean
          default: false
        is_deposit_insurance_member:
          type: boolean
          default: false
        is_active:
          type: boolean
          default: false
        available_in_mobile_app:
          type: boolean
          default: false
        financial_rating_place:
          anyOf:
            - type: integer
            - type: 'null'
        people_rating_place:
          anyOf:
            - type: integer
            - type: 'null'
        people_rating_total:
          anyOf:
            - type: integer
            - type: 'null'
        question_count:
          anyOf:
            - type: integer
            - type: 'null'
        answer_count:
          anyOf:
            - type: integer
            - type: 'null'
        avg_response_time:
          anyOf:
            - type: integer
            - type: 'null'
        phones:
          items:
            $ref: '#/components/schemas/BankiBankPhone'
          type: array
          default: []
        social_links:
          anyOf:
            - $ref: '#/components/schemas/BankiBankSocialLinks'
            - type: 'null'
        credit_ratings:
          items:
            $ref: '#/components/schemas/BankiBankCreditRating'
          type: array
          default: []
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - alias
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    BankiBankPhone:
      properties:
        '@type':
          type: string
          default: BankiBankPhone
        phone:
          type: string
      type: object
      required:
        - phone
    BankiBankSocialLinks:
      properties:
        '@type':
          type: string
          default: BankiBankSocialLinks
        vk:
          anyOf:
            - type: string
            - type: 'null'
        telegram:
          anyOf:
            - type: string
            - type: 'null'
        ok:
          anyOf:
            - type: string
            - type: 'null'
        appstore:
          anyOf:
            - type: string
            - type: 'null'
        rustore:
          anyOf:
            - type: string
            - type: 'null'
        appgallery:
          anyOf:
            - type: string
            - type: 'null'
        googleplay:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    BankiBankCreditRating:
      properties:
        '@type':
          type: string
          default: BankiBankCreditRating
        agency:
          type: string
        rating:
          anyOf:
            - type: string
            - type: 'null'
        forecast:
          anyOf:
            - type: string
            - type: 'null'
        active_from:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - agency
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````